src_dir=`pwd`

.PHONY: all clean

all: pncc_rel

clean: plat_clean mss_clean

norfolk_rel: plat_all norfolk

cook_rel: plat_all cook

zed_rel: plat_all zed

pncc_rel: plat_all pncc

plat_clean:
	$(MAKE) -C plat clean

mss_clean:
	$(MAKE) -C mss clean

pncc:
	$(MAKE) -C mss pncc

norfolk:
	$(MAKE) -C mss norfolk

cook:
	$(MAKE) -C mss cook

zed:
	$(MAKE) -C mss zed

plat_all:
	@echo "====================== make $@ ======================="
	@cd $(src_dir)/plat && $(MAKE) all
	@cd -